Page MenuHomePhabricator

wikimedia/php-session-serializer 1.0.4 is not tagged, despite being required by MediaWiki 1.30
Closed, ResolvedPublic

Description

MediaWiki 1.30 requires wikimedia/php-session-serializer version 1.0.4 but this version is absent from https://packagist.org/packages/wikimedia/php-session-serializer.

The versions 1.0.3 and 1.0.5 have dependencies of different versions than in composer.json.

As a result, composer update after git checkout REL1_30 fails.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptThu, Sep 19, 6:34 AM
alex-mashin updated the task description. (Show Details)Thu, Sep 19, 6:35 AM
alex-mashin updated the task description. (Show Details)
Mainframe98 renamed this task from wikimedia/php-session/serializer to wikimedia/php-session/serializer 1.0.4 is not tagged, despite being required by MediaWiki 1.30.Thu, Sep 19, 7:31 AM
Anomie renamed this task from wikimedia/php-session/serializer 1.0.4 is not tagged, despite being required by MediaWiki 1.30 to wikimedia/php-session-serializer 1.0.4 is not tagged, despite being required by MediaWiki 1.30.Thu, Sep 19, 1:18 PM
Anomie updated the task description. (Show Details)
Reedy added a subscriber: Reedy.Thu, Sep 19, 1:23 PM

While this is a bug, MW 1.30 isn't supported...

It's also in REL1_30's vendor?

https://github.com/wikimedia/mediawiki-vendor/blob/REL1_30/composer.json#L45

Anomie added a subscriber: Anomie.Thu, Sep 19, 1:26 PM

It looks like v1.0.4 was supposed to be 4474af7a, based on the dates and also based on 363f19e21 (specifically this line).

@Reedy, any reason not to retroactively add that tag? Is there any way to tell if the tag was somehow deleted, rather than never being added in the first place?

Reedy added a comment.Thu, Sep 19, 1:28 PM

I don't see any reason we can't/shouldn't add it

It might be in the gerrit logs, but we don't know how long it's apparently been missing

Want me to re-tag (and sign it) as I created the commits etc?

Want me to re-tag (and sign it) as I created the commits etc?

Go for it.

Reedy closed this task as Resolved.Thu, Sep 19, 1:31 PM
Reedy claimed this task.
Reedy updated the task description. (Show Details)

It exists... (again?)

Looks like it did exist until very recently.

  • Archive.org shows v1.0.4 as existing in packagist's interface on 2016-10-13, the first date they have archived after it would have been originally tagged.
  • I didn't check every archived version (archive.org is being really slow to load these), but it seems to have continued to be present up to 2019-09-01. The following date, 2019-09-06, is the first I found where v1.0.4 is missing.